<?php

namespace MGModule\DNSManager2\mgLibs\exceptions;
use MGModule\DNSManager2 as main;

/**
 * Use for general module errors
 *
 * @author Michal Czech <michael@modulesgarden.com>
 */
class validation extends system {
    private $fields = array();
    public function __construct($message,array $fields = array()) {
        $this->fields = $fields;
        parent::__construct($message);
    }
    
    function getFields(){
        return $this->fields;
    }
}
